<div class="academy-courses__body rbt-course-grid-column course_grid_archive">
		
		<?php
			do_action( 'academy/templates/before_course_loop' );
		if ( have_posts() ) {
			// Load posts loop.
			$total_post = wp_count_posts( 'academy_courses' )->publish;
			$per_page = (int) \Academy\Helper::get_settings( 'course_archive_courses_per_page', 12 );
			global $rainbow_options;
			$rainbow_academy_card_layout = isset($rainbow_options['rainbow_academy_card_layout']) ? $rainbow_options['rainbow_academy_card_layout'] : 'layout-1';

			?>
			<input type="hidden" name="" class="ajax_course_count" value="<?php echo esc_attr($total_post); ?>">
			<input type="hidden" name="" class="histudy_academy_course_per_page" value="<?php echo esc_attr($per_page); ?>">
			<input type="hidden" name="rbt_course_archive_box_layout" id="rbt_course_archive_box_layout" value="">
			<input type="hidden" class="archive_style" value="<?php echo esc_attr($rainbow_academy_card_layout); ?>">
			<?php 
			while ( have_posts() ) {
				the_post(); ?>
				
				<?php 
				/**
				 * Hook: academy/templates/course_loop.
				 */
				do_action( 'academy/templates/course_loop' );

				Academy\Helper::get_template_part( 'content', 'course' );
				
			}

			/**
			 * Hook: academy/templates/after_course_loop
			 *
			 * @Hooked: academy_course_pagination - 10
			 */
			do_action( 'academy/templates/after_course_loop' );

		} else {
			// If no content, include the "No posts found" template.
			/**
			 * Hook: academy/templates/no_course_found
			 *
			 * @Hooked: academy_no_course_found - 10
			 */
			do_action( 'academy/templates/no_course_found' );
		}//end if
		?>
	
</div>
